> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List jobs

> List all post-processing jobs

## GET /batch-processor

This endpoint retrieves a list of jobs that were submitted to the batch processor.

### Request parameters

This endpoint supports the same [pagination and filtering](/docs/rest-api/index#pagination) options as other endpoints. Additional parameters are listed in the following table:

| Query parameter | Description                    | Default | Example                              |
| --------------- | ------------------------------ | ------- | ------------------------------------ |
| `recordingId`   | Filters jobs by a recording id | `null`  | uuiasdfe-8ba2-4ee6-bd15-003a92c18245 |

### Response definitions

Top-level:

| Attribute Name | Type      | Description                  | Example |
| -------------- | --------- | ---------------------------- | ------- |
| `total_count`  | `integer` | The total count of the query | 10      |
| `data`         | `list`    | List of jobs                 | `[...]` |

In the `data` object:

| Attribute Name | Type     | Description                                                                      | Example                                |
| -------------- | -------- | -------------------------------------------------------------------------------- | -------------------------------------- |
| `id`           | `string` | The id of the job                                                                | "3ab8faa2-8ba2-4ee6-bd15-003a92c18245" |
| `preset`       | `string` | The preset given when submitting the job                                         | "recordingId"                          |
| `status`       | `string` | The status of the job. One of: \["submitted", "processing", "finished", "error"] | "finished"                             |

### Examples

<Tabs>
  <Tab title="Request">
    ```curl theme={null}
    curl -H "Content-Type: application/json" \
         -H "Authorization: Bearer $TOKEN" \
         https://api.daily.co/v1/batch-processor
    ```
  </Tab>

  <Tab title="200 OK">
    ```json theme={null}
    {
      "total_count": 1,
      "data": [
        {
          "id": "7b8d17cf-0f37-436f-94f8-3726c10de557",
          "preset": "summarize",
          "status": "submitted"
        }
      ]
    }
    ```
  </Tab>
</Tabs>
